//
// © 2017-2020 Qualcomm Technologies, Inc. and/or its subsidiaries. All rights reserved.
//

import Foundation

enum PlayerNotificationReason {
    case displayNameChanged
    case volumeStateChanged
//    case volumeEnabledChanged
    case muteStateChanged
    case partyModeEnabledChanged
    case inputSelectorChanged
    case outputSelectorsChanged
    case audioConfigurationChanged
}

struct PlayerNotification: PlayerControllerNotification {
    static var name = Notification.Name.PlayerStateDidChangeNotification
    var sender: PlayerControllerProtocol
    var player: IoTPlayer
    var reason: PlayerNotificationReason
    var payload: Any?
}
